com.amazon.redshift.ssl

## Class LibPQFactory.ConsoleCallbackHandler

- java.lang.Object
- - com.amazon.redshift.ssl.LibPQFactory.ConsoleCallbackHandler

All Implemented Interfaces:
  CallbackHandler

Enclosing class:
  LibPQFactory

    public static class LibPQFactory.ConsoleCallbackHandler
    extends Object
    implements CallbackHandler

A CallbackHandler that reads the password from the console or returns the password given to its constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handle(Callback[] callbacks)` Handles the callbacks.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### handle

    public void handle(Callback[] callbacks)
                throws IOException,
                       UnsupportedCallbackException

Handles the callbacks.

Specified by:
  `handle` in interface `CallbackHandler`
Parameters:
  `callbacks` - The callbacks to handle
Throws:
  `UnsupportedCallbackException` - If the console is not available or other than PasswordCallback is supplied
  `IOException`